Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPUserProfileModuleImpl

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.UserProfileModuleService
              org.jboss.portal.identity.ldap.LDAPUserProfileModule
                  org.jboss.portal.identity.ldap.LDAPUserProfileModuleImpl

All Implemented Interfaces:
  UserProfileModule

    public class LDAPUserProfileModuleImpl

extends LDAPUserProfileModule

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`profileInfo`

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`LDAPUserProfileModuleImpl()`

Method Summary
`ProfileInfo` | `getProfileInfo()` obtains UserProfile object - if module is used as a Delegate it tries to obtain it from the main one.
`java.util.Map` | `getProperties(User user)` Returns all properties related to user
`java.lang.Object` | `getProperty(User user, java.lang.String propertyName)` Returns user property
`protected UserModule` | `getUserModule()`
`void` | `setProperty(User user, java.lang.String propertyName, java.lang.Object property)` Sets user property.

Methods inherited from class org.jboss.portal.identity.ldap.LDAPUserProfileModule
`getConnectionContext, setConnectionContext, start`

Methods inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`fireUserProfileChangedEvent, getProfileConfigFile, setProfileConfigFile, setProfileInfo`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAPUserProfileModuleImpl

    public LDAPUserProfileModuleImpl()

Method Detail

### getProperty

    public java.lang.Object getProperty(User user,
                                        java.lang.String propertyName)
                                 throws IdentityException,
                                        java.lang.IllegalArgumentException

  Description copied from interface: `UserProfileModule`
  Returns user property

  Returns:
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### setProperty

    public void setProperty(User user,
                            java.lang.String propertyName,
                            java.lang.Object property)
                     throws IdentityException,
                            java.lang.IllegalArgumentException

  Description copied from interface: `UserProfileModule`
  Sets user property. If the property value is null the property will be removed.

    `property` - value
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getProperties

    public java.util.Map getProperties(User user)
                                throws IdentityException,
                                       java.lang.IllegalArgumentException

  Description copied from interface: `UserProfileModule`
  Returns all properties related to user

  Returns:
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getProfileInfo

    public ProfileInfo getProfileInfo()
                               throws IdentityException

  obtains UserProfile object - if module is used as a Delegate it tries to obtain it from the main one.

  Returns:
  Throws:
    `IdentityException`

### getUserModule

    protected UserModule getUserModule()
                                throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD